using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Strata.Code.DataAccess.Models;

[Keyless]
[Table("OnePlanPerformanceTestValidationResult", Schema = "fp")]
public partial class OnePlanPerformanceTestValidationResult
{
    [Column("TestResultID")]
    public int TestResultId { get; set; }

    [Column("PlanSectionID")]
    public int PlanSectionId { get; set; }

    [Column("BasisID")]
    public int BasisId { get; set; }

    [StringLength(100)]
    public string TableName { get; set; } = null!;

    [StringLength(100)]
    public string ColumnName { get; set; } = null!;

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BeforeValue01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BeforeValue02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BeforeValue03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BeforeValue04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BeforeValue05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BeforeValue06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BeforeValue07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BeforeValue08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BeforeValue09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BeforeValue10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BeforeValue11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BeforeValue12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal AfterValue01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal AfterValue02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal AfterValue03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal AfterValue04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal AfterValue05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal AfterValue06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal AfterValue07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal AfterValue08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal AfterValue09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal AfterValue10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal AfterValue11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal AfterValue12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal? Variance01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal? Variance02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal? Variance03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal? Variance04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal? Variance05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal? Variance06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal? Variance07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal? Variance08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal? Variance09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal? Variance10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal? Variance11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal? Variance12 { get; set; }
}
